'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledP = exports.StyledHeading = exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['display:flex;flex-direction:column;align-items:center;width:100%;'], ['display:flex;flex-direction:column;align-items:center;width:100%;']),
    _templateObject2 = _taggedTemplateLiteral(['text-align:center;overflow:hidden;text-overflow:ellipsis;width:100%;'], ['text-align:center;overflow:hidden;text-overflow:ellipsis;width:100%;']),
    _templateObject3 = _taggedTemplateLiteral(['\n  margin-top: 10px;\n'], ['\n  margin-top: 10px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _P = require('../P');

var _P2 = _interopRequireDefault(_P);

var _Heading = require('../Heading');

var _Heading2 = _interopRequireDefault(_Heading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var StyledHeading = exports.StyledHeading = (0, _styledComponents2.default)(_Heading2.default)(_templateObject2);

var StyledP = exports.StyledP = _P2.default.extend(_templateObject3);

var DisplayUnitValue = function DisplayUnitValue(_ref) {
  var value = _ref.value,
      unit = _ref.unit,
      otherProps = _objectWithoutProperties(_ref, ['value', 'unit']);

  return _react2.default.createElement(
    Container,
    otherProps,
    _react2.default.createElement(
      StyledHeading,
      { color: 'primary' },
      value
    ),
    unit && _react2.default.createElement(
      StyledP,
      { color: 'grayDark' },
      unit
    )
  );
};

DisplayUnitValue.displayName = 'DisplayUnitValue';
DisplayUnitValue.propTypes = {
  value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,
  unit: _propTypes2.default.string
};

exports.default = DisplayUnitValue;