'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['width:440px;box-shadow:0 1px 5px 0 rgba(0,0,0,0.2);> header{padding-left:20px;display:flex;align-items:center;}> main{display:flex;flex-direction:column;align-items:center;> img{margin-bottom:20px;}}> footer{display:flex;align-items:center;justify-content:center;> *:not(:last-child){margin-right:10px;}}'], ['width:440px;box-shadow:0 1px 5px 0 rgba(0,0,0,0.2);> header{padding-left:20px;display:flex;align-items:center;}> main{display:flex;flex-direction:column;align-items:center;> img{margin-bottom:20px;}}> footer{display:flex;align-items:center;justify-content:center;> *:not(:last-child){margin-right:10px;}}']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Dialog = require('./Dialog');

var _Dialog2 = _interopRequireDefault(_Dialog);

var _Panel = require('../Panel');

var _Panel2 = _interopRequireDefault(_Panel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledPanel = (0, _styledComponents2.default)(_Panel2.default)(_templateObject);

var CommonDialog = function CommonDialog(_ref) {
  var Component = _ref.component,
      show = _ref.show,
      onHide = _ref.onHide,
      onSubmit = _ref.onSubmit,
      children = _ref.children,
      otherProps = _objectWithoutProperties(_ref, ['component', 'show', 'onHide', 'onSubmit', 'children']);

  return _react2.default.createElement(
    _Dialog2.default,
    Object.assign({ show: show, onHide: onHide }, otherProps),
    _react2.default.createElement(
      Component,
      { onSubmit: Component === 'form' ? onSubmit : null },
      _react2.default.createElement(
        StyledPanel,
        null,
        children
      )
    )
  );
};

CommonDialog.displayName = 'CommonDialog';
CommonDialog.propTypes = {
  show: _propTypes2.default.bool.isRequired,
  onHide: _propTypes2.default.func.isRequired,
  children: _propTypes2.default.node.isRequired,
  component: _propTypes2.default.oneOfType([_propTypes2.default.func, _propTypes2.default.string]),
  onSubmit: _propTypes2.default.func
};
CommonDialog.defaultProps = {
  component: 'div'
};

exports.default = CommonDialog;
module.exports = exports['default'];