'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _omit2 = require('ramda/src/omit');

var _omit3 = _interopRequireDefault(_omit2);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Checkbox = require('../Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _styledComponents = require('./styled-components');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var InputCheckbox = function (_React$Component) {
  _inherits(InputCheckbox, _React$Component);

  function InputCheckbox() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, InputCheckbox);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = InputCheckbox.__proto__ || Object.getPrototypeOf(InputCheckbox)).call.apply(_ref, [this].concat(args))), _this), _this.onChange = function () {
      var _this$props = _this.props,
          onChange = _this$props.onChange,
          value = _this$props.value;

      onChange(!value);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(InputCheckbox, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          value = _props.value,
          children = _props.children,
          otherProps = _objectWithoutProperties(_props, ['value', 'children']);

      var onChange = this.onChange;


      return React.createElement(
        _styledComponents.StyledLabel,
        { onClick: onChange },
        React.createElement(_Checkbox2.default, Object.assign({ value: value }, (0, _omit3.default)(['onChange'])(otherProps))),
        children
      );
    }
  }]);

  return InputCheckbox;
}(React.Component);

InputCheckbox.propTypes = {
  value: _propTypes2.default.bool, // (value: boolean) => Promise<void> | void,
  onChange: _propTypes2.default.func,
  children: _propTypes2.default.node
};

exports.default = InputCheckbox;
module.exports = exports['default'];