'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckCircle = exports.BoxCircle = exports.StyledLabel = exports.SVG = undefined;

var _templateObject = _taggedTemplateLiteral(['height:14px;'], ['height:14px;']),
    _templateObject2 = _taggedTemplateLiteral(['display:flex;align-items:center;cursor:pointer;line-height:0;> input{display:none;}> ', '{margin-right:5px;}'], ['display:flex;align-items:center;cursor:pointer;line-height:0;> input{display:none;}> ', '{margin-right:5px;}']),
    _templateObject3 = _taggedTemplateLiteral(['fill:', ';stroke:', ';stroke-width:1px;transition:stroke 0.3s cubic-bezier(0.23,1,0.32,1);'], ['fill:', ';stroke:', ';stroke-width:1px;transition:stroke 0.3s cubic-bezier(0.23,1,0.32,1);']),
    _templateObject4 = _taggedTemplateLiteral(['fill:', ';transform-origin:50% 50%;transition:transform 0.45s cubic-bezier(0.23,1,0.32,1);transform:scale(', ');'], ['fill:', ';transform-origin:50% 50%;transition:transform 0.45s cubic-bezier(0.23,1,0.32,1);transform:scale(', ');']);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var SVG = exports.SVG = _styledComponents2.default.svg(_templateObject);

var StyledLabel = exports.StyledLabel = _styledComponents2.default.label(_templateObject2, SVG);

var BoxCircle = exports.BoxCircle = _styledComponents2.default.circle(_templateObject3, function (props) {
  return props.theme.color.primary;
}, function (props) {
  return props.value ? '#067CB0' : props.theme.color.grayBase;
});

var CheckCircle = exports.CheckCircle = _styledComponents2.default.circle(_templateObject4, function (props) {
  return props.theme.color.white;
}, function (props) {
  return props.value ? 0.5 : 1;
});