'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HandleHideMenuItem = exports.StyledP = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  margin-right: 5px;\n'], ['\n  margin-right: 5px;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rafThrottle = require('raf-throttle');

var _rafThrottle2 = _interopRequireDefault(_rafThrottle);

var _IconFold = require('mcs-lite-icon/lib/IconFold');

var _IconFold2 = _interopRequireDefault(_IconFold);

var _Rotate = require('../Rotate');

var _Rotate2 = _interopRequireDefault(_Rotate);

var _Overlay = require('../Overlay');

var _Overlay2 = _interopRequireDefault(_Overlay);

var _P = require('../P');

var _P2 = _interopRequireDefault(_P);

var _Menu = require('../Menu');

var _NavItem = require('./NavItem');

var _NavItem2 = _interopRequireDefault(_NavItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); } /* global window */

var StyledP = exports.StyledP = _P2.default.extend(_templateObject);

var HandleHideMenuItem = function HandleHideMenuItem(_ref) {
  var onHide = _ref.onHide,
      _onClick = _ref.onClick,
      otherProps = _objectWithoutProperties(_ref, ['onHide', 'onClick']);

  return _react2.default.createElement(_Menu.MenuItem, Object.assign({}, otherProps, {
    onClick: function onClick(e) {
      if (_onClick) _onClick(e);
      onHide(e);
    }
  }));
};
exports.HandleHideMenuItem = HandleHideMenuItem;
HandleHideMenuItem.displayName = 'HandleHideMenuItem';
HandleHideMenuItem.propTypes = {
  onHide: _propTypes2.default.func.isRequired,
  onClick: _propTypes2.default.func
};

var NavItemDropdown = function (_React$PureComponent) {
  _inherits(NavItemDropdown, _React$PureComponent);

  function NavItemDropdown() {
    var _ref2;

    var _temp, _this, _ret;

    _classCallCheck(this, NavItemDropdown);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref2 = NavItemDropdown.__proto__ || Object.getPrototypeOf(NavItemDropdown)).call.apply(_ref2, [this].concat(args))), _this), _this.state = { isShow: false, target: undefined }, _this.componentDidMount = function () {
      window.addEventListener('scroll', _this.onHide);
      window.addEventListener('resize', _this.onHide);
    }, _this.componentWillUnmount = function () {
      window.removeEventListener('scroll', _this.onHide);
      window.removeEventListener('resize', _this.onHide);
      _this.onHide.cancel();
      _this.onOpen.cancel();
    }, _this.onOpen = (0, _rafThrottle2.default)(function () {
      if (!_this.state.isShow) _this.setState({ isShow: true });
    }), _this.onHide = (0, _rafThrottle2.default)(function () {
      if (_this.state.isShow) _this.setState({ isShow: false });
    }), _this.getTarget = function (node) {
      return _this.setState({ target: node });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(NavItemDropdown, [{
    key: 'render',
    value: function render() {
      var onOpen = this.onOpen,
          onHide = this.onHide,
          getTarget = this.getTarget;
      var _state = this.state,
          isShow = _state.isShow,
          target = _state.target;

      var _props = this.props,
          children = _props.children,
          items = _props.items,
          otherProps = _objectWithoutProperties(_props, ['children', 'items']);

      return _react2.default.createElement(
        _NavItem2.default,
        Object.assign({
          ref: getTarget,
          onClick: onOpen,
          onMouseOver: onOpen,
          active: isShow
        }, otherProps),
        _react2.default.createElement(
          StyledP,
          null,
          children
        ),
        _react2.default.createElement(
          _Rotate2.default,
          { active: isShow },
          _react2.default.createElement(_IconFold2.default, { size: 18 })
        ),
        isShow && _react2.default.createElement(
          _Overlay2.default,
          { target: target, onClickOutSide: onHide },
          _react2.default.createElement(
            _Menu.Menu,
            { key: 'menu', onClick: onHide, onMouseLeave: onHide },
            items.map(function (e) {
              return _react2.default.createElement(HandleHideMenuItem, Object.assign({}, e, { onHide: onHide }));
            })
          )
        )
      );
    }
  }]);

  return NavItemDropdown;
}(_react2.default.PureComponent);

NavItemDropdown.propTypes = {
  children: _propTypes2.default.node.isRequired,

  // MenuItem
  items: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    key: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,
    component: _propTypes2.default.oneOfType([_propTypes2.default.func, _propTypes2.default.string]),
    children: _propTypes2.default.node.isRequired
  })).isRequired
};
exports.default = NavItemDropdown;