'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['box-sizing:border-box;box-shadow:0 1px 5px 0 rgba(0,0,0,0.2);border-radius:3px;display:flex;align-items:center;justify-content:space-between;padding:10px 20px;background-color:', ';color:', ';font-size:', ';> *:nth-child(2){margin-left:8px;flex-shrink:0;}'], ['box-sizing:border-box;box-shadow:0 1px 5px 0 rgba(0,0,0,0.2);border-radius:3px;display:flex;align-items:center;justify-content:space-between;padding:10px 20px;background-color:', ';color:', ';font-size:', ';> *:nth-child(2){margin-left:8px;flex-shrink:0;}']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mcsLiteTheme = require('mcs-lite-theme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var lighten = (0, _mcsLiteTheme.opacity)(0.9);

var Notification = _styledComponents2.default.div(_templateObject, function (props) {
  return lighten(props.theme.color.black);
}, function (props) {
  return props.theme.color.white;
}, function (props) {
  return props.theme.fontSize.p;
});

Notification.displayName = 'Notification';

exports.default = Notification;
module.exports = exports['default'];