'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

// eslint-disable-line
var Arrow = function Arrow(props) {
  return React.createElement(
    'svg',
    Object.assign({ width: 19, height: 22, viewBox: '-6 0 19 22', xmlnsXlink: 'http://www.w3.org/1999/xlink' }, props),
    React.createElement(
      'defs',
      null,
      React.createElement('path', { d: 'M8 0h1v12H8L0 6l8-6z', id: 'b'

      }),
      React.createElement(
        'filter',
        { x: '-88.9%', y: '-58.3%', width: '277.8%', height: '233.3%', filterUnits: 'objectBoundingBox', id: 'a' },
        React.createElement('feOffset', { 'in': 'SourceAlpha', result: 'shadowOffsetOuter1' }),
        React.createElement('feGaussianBlur', { stdDeviation: 2.5, 'in': 'shadowOffsetOuter1', result: 'shadowBlurOuter1' }),
        React.createElement('feComposite', { 'in': 'shadowBlurOuter1', in2: 'SourceAlpha', operator: 'out', result: 'shadowBlurOuter1' }),
        React.createElement('feColorMatrix', { values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.2 0', 'in': 'shadowBlurOuter1' })
      )
    ),
    React.createElement(
      'g',
      { transform: 'translate(5 4)', fill: 'none', fillRule: 'evenodd' },
      React.createElement('use', { fill: '#000', filter: 'url(#a)', xlinkHref: '#b' }),
      React.createElement('use', { fill: '#FAFAFA', xlinkHref: '#b' }),
      React.createElement('path', { stroke: '#D1D2D3', d: 'M8.167.5L.833 6l7.334 5.5H8.5V.5h-.333z' })
    )
  );
};
Arrow.displayName = 'Arrow';

exports.default = Arrow;
module.exports = exports['default'];