'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['user-select:none;-webkit-user-drag:none;'], ['user-select:none;-webkit-user-drag:none;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var preventDefault = function preventDefault(e) {
  return e.preventDefault();
};

var PreventDrag = function PreventDrag(_ref) {
  var children = _ref.children;
  return _react2.default.createElement(
    Container,
    {
      onDrop: preventDefault,
      onDragStart: preventDefault,
      onMouseMove: preventDefault,
      onMouseOut: preventDefault,
      onMouseDown: preventDefault // for Safari
    },
    children
  );
};

PreventDrag.displayName = 'PreventDrag';
PreventDrag.propTypes = {
  children: _propTypes2.default.node.isRequired
};

exports.default = PreventDrag;