'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['box-sizing:border-box;width:100%;border-width:1px;border-style:solid;border-radius:3px;outline:0;padding:5px 10px;color:', ';border-color:', ';font-size:', ';&:focus{border-color:', ';box-shadow:0 0 3px 0 ', ';}&::placeholder{opacity:1;color:', ';}&:disabled{background-color:', ';}'], ['box-sizing:border-box;width:100%;border-width:1px;border-style:solid;border-radius:3px;outline:0;padding:5px 10px;color:', ';border-color:', ';font-size:', ';&:focus{border-color:', ';box-shadow:0 0 3px 0 ', ';}&::placeholder{opacity:1;color:', ';}&:disabled{background-color:', ';}']);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mcsLiteTheme = require('mcs-lite-theme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var shadow = (0, _mcsLiteTheme.opacity)(0.5);

var Textarea = _styledComponents2.default.textarea(_templateObject, function (props) {
  return props.theme.color.black;
}, function (props) {
  return props.theme.color.grayBase;
}, function (props) {
  return props.theme.fontSize.p;
}, function (props) {
  return props.theme.color[props.kind];
}, function (props) {
  return shadow(props.theme.color[props.kind]);
}, function (props) {
  return props.theme.color.grayBase;
}, function (props) {
  return props.theme.color.white;
});

Textarea.displayName = 'Textarea';
Textarea.propTypes = {
  kind: _propTypes2.default.string
};

Textarea.defaultProps = {
  kind: 'primary'
};
exports.default = Textarea;
module.exports = exports['default'];