'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledCard = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  padding: 5px 10px;\n  background-color: rgba(0, 0, 0, 0.8);\n  color: ', ';\n'], ['\n  padding: 5px 10px;\n  background-color: rgba(0, 0, 0, 0.8);\n  color: ', ';\n']);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _index = require('react-overlay-pack/lib/Overlay/index');

var _index2 = _interopRequireDefault(_index);

var _Card = require('../Card');

var _Card2 = _interopRequireDefault(_Card);

var _Arrow = require('./Arrow');

var _Arrow2 = _interopRequireDefault(_Arrow);

var _position = require('./position.config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledCard = exports.StyledCard = _Card2.default.extend(_templateObject, function (props) {
  return props.theme.color.white;
});

var Tooltip = function (_React$Component) {
  _inherits(Tooltip, _React$Component);

  function Tooltip() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Tooltip);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Tooltip.__proto__ || Object.getPrototypeOf(Tooltip)).call.apply(_ref, [this].concat(args))), _this), _this.state = { isOpen: false }, _this.onMouseOver = function () {
      return _this.setState(function () {
        return { isOpen: true };
      });
    }, _this.onHide = function () {
      return _this.setState(function () {
        return { isOpen: false };
      });
    }, _this.onRef = function (target) {
      _this.target = target;
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Tooltip, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          content = _props.content,
          innerRef = _props.innerRef,
          position = _props.position;
      var isOpen = this.state.isOpen;
      var onMouseOver = this.onMouseOver,
          onHide = this.onHide,
          onRef = this.onRef,
          target = this.target;


      return React.createElement(
        React.Fragment,
        null,
        React.createElement(
          'div',
          {
            ref: onRef,
            onMouseOver: onMouseOver,
            onMouseLeave: onHide,
            role: 'button',
            tabIndex: '0',
            style: { display: 'inline-block' }
          },
          children
        ),
        React.createElement(
          _index2.default,
          Object.assign({
            show: isOpen,
            resize: true,
            target: target,
            onOutsideClick: onHide,
            style: { pointerEvents: 'none' }
          }, position.card),
          React.createElement(
            StyledCard,
            { key: 'card', ref: innerRef, onMouseOver: onMouseOver },
            content
          )
        ),
        React.createElement(
          _index2.default,
          Object.assign({
            show: isOpen,
            resize: true,
            target: target,
            style: { pointerEvents: 'none' }
          }, position.arrow),
          React.createElement(_Arrow2.default, { key: 'arrow' })
        )
      );
    }
  }]);

  return Tooltip;
}(React.Component);

Tooltip.defaultProps = {
  position: _position.TOP_CENTER
};
exports.default = Tooltip;