'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.areaChartTypeMapper = exports.dataChannelTypeMapper = undefined;

var _2 = require('ramda/src/__');

var _3 = _interopRequireDefault(_2);

var _contains2 = require('ramda/src/contains');

var _contains3 = _interopRequireDefault(_contains2);

var _ifElse2 = require('ramda/src/ifElse');

var _ifElse3 = _interopRequireDefault(_ifElse2);

var _toUpper2 = require('ramda/src/toUpper');

var _toUpper3 = _interopRequireDefault(_toUpper2);

var _concat2 = require('ramda/src/concat');

var _concat3 = _interopRequireDefault(_concat2);

var _always2 = require('ramda/src/always');

var _always3 = _interopRequireDefault(_always2);

var _equals2 = require('ramda/src/equals');

var _equals3 = _interopRequireDefault(_equals2);

var _cond2 = require('ramda/src/cond');

var _cond3 = _interopRequireDefault(_cond2);

var _pipe2 = require('ramda/src/pipe');

var _pipe3 = _interopRequireDefault(_pipe2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Conver websocket response to mcs-lite-ui <DataChannelAdapter> props
 *
 * example: (String, 1) => STRING_CONTROL
 *
 * @author Michael Hsu
 */
var dataChannelTypeMapper = exports.dataChannelTypeMapper = function dataChannelTypeMapper(name, type) {
  return (0, _pipe3.default)((0, _cond3.default)([[(0, _equals3.default)(1), (0, _always3.default)('_CONTROL')], [(0, _equals3.default)(2), (0, _always3.default)('_DISPLAY')]]), (0, _concat3.default)((0, _toUpper3.default)(name)))(type);
};

var areaChartTypeMapper = exports.areaChartTypeMapper = (0, _ifElse3.default)((0, _contains3.default)(_3.default, ['Switch', 'GPIO']), // eslint-disable-line
(0, _always3.default)('step'), (0, _always3.default)('linear'));