'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _IconAvatar = require('./IconAvatar');

var _IconAvatar2 = _interopRequireDefault(_IconAvatar);

var _styledComponents = require('./styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function Avatar(_ref) {
  var src = _ref.src,
      size = _ref.size;

  return React.createElement(
    _styledComponents2.default,
    null,
    src ? React.createElement('img', { alt: '', src: src, width: size, height: size }) : React.createElement(_IconAvatar2.default, { width: size, height: size })
  );
}

Avatar.displayName = 'Avatar';
Avatar.defaultProps = {
  size: 30
};
Avatar.propTypes = {
  src: _propTypes2.default.string,
  size: _propTypes2.default.number
};

exports.default = Avatar;
module.exports = exports['default'];