'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Unixtype = exports.ButtonWrapper = exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['width:100%;'], ['width:100%;']),
    _templateObject2 = _taggedTemplateLiteral(['display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;margin-top:10px;'], ['display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;margin-top:10px;']),
    _templateObject3 = _taggedTemplateLiteral(['\n  margin-bottom: 5px;\n  display: flex;\n  justify-content: flex-end;\n'], ['\n  margin-bottom: 5px;\n  display: flex;\n  justify-content: flex-end;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _ButtonClear = require('./ButtonClear');

var _ButtonClear2 = _interopRequireDefault(_ButtonClear);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

var _Input = require('../Input');

var _Input2 = _interopRequireDefault(_Input);

var _P = require('../P');

var _P2 = _interopRequireDefault(_P);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var ButtonWrapper = exports.ButtonWrapper = _styledComponents2.default.div(_templateObject2);

var Unixtype = exports.Unixtype = _P2.default.extend(_templateObject3);

var ControlNumber = function ControlNumber(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange,
      onSubmit = _ref.onSubmit,
      onClear = _ref.onClear,
      placeholder = _ref.placeholder,
      unit = _ref.unit,
      otherProps = _objectWithoutProperties(_ref, ['value', 'onChange', 'onSubmit', 'onClear', 'placeholder', 'unit']);

  return _react2.default.createElement(
    Container,
    otherProps,
    unit && _react2.default.createElement(
      Unixtype,
      { color: 'grayDark' },
      unit
    ),
    _react2.default.createElement(_Input2.default, {
      type: 'number',
      value: value,
      onChange: onChange,
      placeholder: placeholder
    }),
    _react2.default.createElement(
      ButtonWrapper,
      null,
      _react2.default.createElement(_ButtonClear2.default, { onClick: onClear }),
      _react2.default.createElement(
        _Button2.default,
        { onClick: onSubmit },
        'Ok'
      )
    )
  );
};

ControlNumber.displayName = 'ControlNumber';
ControlNumber.propTypes = {
  value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,
  onChange: _propTypes2.default.func.isRequired,
  onSubmit: _propTypes2.default.func.isRequired,
  onClear: _propTypes2.default.func.isRequired,
  placeholder: _propTypes2.default.string,
  unit: _propTypes2.default.string
};

exports.default = ControlNumber;