'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledInput = exports.InputWrapper = exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['margin-bottom:10px;'], ['margin-bottom:10px;']),
    _templateObject2 = _taggedTemplateLiteral(['display:flex;margin-top:5px;'], ['display:flex;margin-top:5px;']),
    _templateObject3 = _taggedTemplateLiteral(['margin-right:10px;'], ['margin-right:10px;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Input = require('../Input');

var _Input2 = _interopRequireDefault(_Input);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

var _P = require('../P');

var _P2 = _interopRequireDefault(_P);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var InputWrapper = exports.InputWrapper = _styledComponents2.default.div(_templateObject2);

var StyledInput = exports.StyledInput = (0, _styledComponents2.default)(_Input2.default)(_templateObject3);

var ControlPeriod = function ControlPeriod(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange,
      onSubmit = _ref.onSubmit,
      placeholder = _ref.placeholder,
      otherProps = _objectWithoutProperties(_ref, ['value', 'onChange', 'onSubmit', 'placeholder']);

  return _react2.default.createElement(
    Container,
    otherProps,
    _react2.default.createElement(
      'label',
      { htmlFor: 'input' },
      _react2.default.createElement(
        _P2.default,
        { color: 'grayDark' },
        'Period'
      )
    ),
    _react2.default.createElement(
      InputWrapper,
      null,
      _react2.default.createElement(StyledInput, {
        type: 'number',
        value: value,
        onChange: onChange,
        placeholder: placeholder
      }),
      _react2.default.createElement(
        _Button2.default,
        { onClick: onSubmit },
        'Ok'
      )
    )
  );
};

ControlPeriod.displayName = 'ControlPeriod';
ControlPeriod.propTypes = {
  value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,
  onChange: _propTypes2.default.func.isRequired,
  onSubmit: _propTypes2.default.func.isRequired,
  placeholder: _propTypes2.default.string
};

exports.default = ControlPeriod;