'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Switch = require('../Switch');

var _Switch2 = _interopRequireDefault(_Switch);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ControlSwitch = function ControlSwitch(_ref) {
  var value = _ref.value,
      onSubmit = _ref.onSubmit,
      otherProps = _objectWithoutProperties(_ref, ['value', 'onSubmit']);

  return _react2.default.createElement(_Switch2.default, Object.assign({}, otherProps, { checked: value, onClick: onSubmit }));
};

ControlSwitch.displayName = 'ControlSwitch';
ControlSwitch.propTypes = {
  value: _propTypes2.default.bool.isRequired,
  onSubmit: _propTypes2.default.func.isRequired
};
exports.default = ControlSwitch;
module.exports = exports['default'];