'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledHeading = exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['display:flex;flex-direction:column;align-items:center;width:100%;> div{width:100%;}> div + div{margin-top:10px;}'], ['display:flex;flex-direction:column;align-items:center;width:100%;> div{width:100%;}> div + div{margin-top:10px;}']),
    _templateObject2 = _taggedTemplateLiteral(['text-align:center;overflow:hidden;text-overflow:ellipsis;width:100%;margin-top:5px;'], ['text-align:center;overflow:hidden;text-overflow:ellipsis;width:100%;margin-top:5px;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _P = require('../P');

var _P2 = _interopRequireDefault(_P);

var _Heading = require('../Heading');

var _Heading2 = _interopRequireDefault(_Heading);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var StyledHeading = exports.StyledHeading = (0, _styledComponents2.default)(_Heading2.default)(_templateObject2);

var DisplayMultipleValue = function DisplayMultipleValue(_ref) {
  var items = _ref.items,
      otherProps = _objectWithoutProperties(_ref, ['items']);

  return _react2.default.createElement(
    Container,
    otherProps,
    items.map(function (_ref2) {
      var name = _ref2.name,
          value = _ref2.value;
      return _react2.default.createElement(
        'div',
        { key: name },
        _react2.default.createElement(
          _P2.default,
          { color: 'grayDark' },
          name
        ),
        _react2.default.createElement(
          StyledHeading,
          { color: 'primary' },
          value
        )
      );
    })
  );
};

DisplayMultipleValue.displayName = 'DisplayMultipleValue';
DisplayMultipleValue.propTypes = {
  items: _propTypes2.default.arrayOf(_propTypes2.default.shape({
    name: _propTypes2.default.string.isRequired,
    value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired
  })).isRequired
};

exports.default = DisplayMultipleValue;