'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ItemWrapper = exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['display:flex;justify-content:space-around;width:100%;'], ['display:flex;justify-content:space-around;width:100%;']),
    _templateObject2 = _taggedTemplateLiteral(['display:flex;flex-direction:column;align-items:center;flex-grow:1;flex-basis:0;margin:0 4px;overflow:hidden;> *:first-child{margin-bottom:20px;}'], ['display:flex;flex-direction:column;align-items:center;flex-grow:1;flex-basis:0;margin:0 4px;overflow:hidden;> *:first-child{margin-bottom:20px;}']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _StatusLight = require('../StatusLight');

var _StatusLight2 = _interopRequireDefault(_StatusLight);

var _P = require('../P');

var _P2 = _interopRequireDefault(_P);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var ItemWrapper = exports.ItemWrapper = _styledComponents2.default.div(_templateObject2);

var DisplayStatus = function DisplayStatus(_ref) {
  var value = _ref.value,
      labels = _ref.labels,
      otherProps = _objectWithoutProperties(_ref, ['value', 'labels']);

  return _react2.default.createElement(
    Container,
    otherProps,
    labels.map(function (label, index) {
      return _react2.default.createElement(
        ItemWrapper,
        { key: label },
        _react2.default.createElement(
          _P2.default,
          { color: 'grayDark' },
          label
        ),
        _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(_StatusLight2.default, { color: value === index ? 'success' : 'grayBase' })
        )
      );
    })
  );
};

DisplayStatus.displayName = 'DisplayStatus';
DisplayStatus.propTypes = {
  value: _propTypes2.default.number, // index
  labels: _propTypes2.default.array.isRequired
};

exports.default = DisplayStatus;