'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledTextarea = exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['width:100%;display:flex;flex-direction:column;align-self:stretch;'], ['width:100%;display:flex;flex-direction:column;align-self:stretch;']),
    _templateObject2 = _taggedTemplateLiteral(['height:100%;min-height:4em;flex-grow:1;'], ['height:100%;min-height:4em;flex-grow:1;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Textarea = require('../Textarea');

var _Textarea2 = _interopRequireDefault(_Textarea);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var StyledTextarea = exports.StyledTextarea = (0, _styledComponents2.default)(_Textarea2.default)(_templateObject2);

var DisplayString = function DisplayString(_ref) {
  var value = _ref.value,
      placeholder = _ref.placeholder,
      otherProps = _objectWithoutProperties(_ref, ['value', 'placeholder']);

  return _react2.default.createElement(
    Container,
    otherProps,
    _react2.default.createElement(StyledTextarea, { value: value, placeholder: placeholder, disabled: true })
  );
};

DisplayString.displayName = 'DisplayString';
DisplayString.propTypes = {
  value: _propTypes2.default.string,
  placeholder: _propTypes2.default.string
};

exports.default = DisplayString;