'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MONTH_RANGE = exports.MINUTE_RANGE = exports.HOUR_RANGE = exports.getTimeRange = exports.timeLeftPad = undefined;

var _range2 = require('ramda/src/range');

var _range3 = _interopRequireDefault(_range2);

var _leftPad = require('left-pad');

var _leftPad2 = _interopRequireDefault(_leftPad);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var timeLeftPad = exports.timeLeftPad = function timeLeftPad(value) {
  return (0, _leftPad2.default)(value, 2, 0);
};
var getTimeRange = exports.getTimeRange = function getTimeRange(to) {
  return (0, _range3.default)(0, to).map(timeLeftPad);
};
var HOUR_RANGE = exports.HOUR_RANGE = getTimeRange(24);
var MINUTE_RANGE = exports.MINUTE_RANGE = getTimeRange(60);
var MONTH_RANGE = exports.MONTH_RANGE = (0, _range3.default)(1, 13);