'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledA = exports.Header = exports.Container = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['position:fixed;bottom:0;left:0;right:0;'], ['position:fixed;bottom:0;left:0;right:0;']),
    _templateObject2 = _taggedTemplateLiteral(['height:', ';background-color:', ';display:flex;align-items:center;justify-content:space-between;border-bottom:1px solid ', ';'], ['height:', ';background-color:', ';display:flex;align-items:center;justify-content:space-between;border-bottom:1px solid ', ';']),
    _templateObject3 = _taggedTemplateLiteral(['display:flex;align-items:center;justify-content:center;height:100%;padding:0 16px;'], ['display:flex;align-items:center;justify-content:center;height:100%;padding:0 16px;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactMotionUiPack = require('react-motion-ui-pack');

var _reactMotionUiPack2 = _interopRequireDefault(_reactMotionUiPack);

var _Dialog = require('../Dialog');

var _Dialog2 = _interopRequireDefault(_Dialog);

var _DatetimePicker = require('../DatetimePicker');

var _DatetimePicker2 = _interopRequireDefault(_DatetimePicker);

var _A = require('../A');

var _A2 = _interopRequireDefault(_A);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = exports.Container = _styledComponents2.default.div(_templateObject);

var Header = exports.Header = _styledComponents2.default.header(_templateObject2, function (props) {
  return props.theme.height.normal;
}, function (props) {
  return props.theme.color.white;
}, function (props) {
  return props.theme.color.grayBase;
});

var StyledA = exports.StyledA = (0, _styledComponents2.default)(_A2.default)(_templateObject3);

var DatetimePickerDialog = function (_React$Component) {
  _inherits(DatetimePickerDialog, _React$Component);

  function DatetimePickerDialog(props) {
    _classCallCheck(this, DatetimePickerDialog);

    var _this = _possibleConstructorReturn(this, (DatetimePickerDialog.__proto__ || Object.getPrototypeOf(DatetimePickerDialog)).call(this, props));

    _this.onChange = function (value) {
      return _this.setState({ value: value });
    };

    _this.onCancel = function () {
      _this.setState({ value: _this.props.datetimePickerProps.defaultValue });
      _this.props.onHide();
    };

    _this.onSubmit = function () {
      _this.props.onSubmit(_this.state.value);
      _this.props.onHide();
    };

    _this.state = { value: props.datetimePickerProps.defaultValue };
    return _this;
  }

  _createClass(DatetimePickerDialog, [{
    key: 'render',
    value: function render() {
      var onChange = this.onChange,
          onSubmit = this.onSubmit,
          onCancel = this.onCancel;
      var _props = this.props,
          show = _props.show,
          datetimePickerProps = _props.datetimePickerProps;

      return _react2.default.createElement(
        _Dialog2.default,
        { show: show },
        _react2.default.createElement(
          _reactMotionUiPack2.default,
          {
            component: false,
            enter: { translateY: 0 },
            leave: { translateY: 40 }
          },
          _react2.default.createElement(
            Container,
            { key: 'container' },
            _react2.default.createElement(
              Header,
              null,
              _react2.default.createElement(
                StyledA,
                { onClick: onCancel },
                'Cancel'
              ),
              _react2.default.createElement(
                StyledA,
                { onClick: onSubmit },
                'OK'
              )
            ),
            _react2.default.createElement(_DatetimePicker2.default, Object.assign({}, datetimePickerProps, { onChange: onChange }))
          )
        )
      );
    }
  }]);

  return DatetimePickerDialog;
}(_react2.default.Component);

DatetimePickerDialog.propTypes = {
  datetimePickerProps: _propTypes2.default.shape({
    defaultValue: _propTypes2.default.number.isRequired, // Unix Timestamp (milliseconds)
    years: _propTypes2.default.array
  }),
  show: _propTypes2.default.bool,
  onHide: _propTypes2.default.func.isRequired,
  onSubmit: _propTypes2.default.func.isRequired
};
DatetimePickerDialog.defaultProps = {
  show: false
};
exports.default = DatetimePickerDialog;