'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MAX_WIDTH = undefined;

var _templateObject = _taggedTemplateLiteral(['max-width:', 'px;margin:auto;> header{display:flex;align-items:center;padding-left:20px;}> footer{display:flex;justify-content:center;> * + *{margin-left:10px;}}'], ['max-width:', 'px;margin:auto;> header{display:flex;align-items:center;padding-left:20px;}> footer{display:flex;justify-content:center;> * + *{margin-left:10px;}}']);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _Panel = require('../Panel');

var _Panel2 = _interopRequireDefault(_Panel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MAX_WIDTH = exports.MAX_WIDTH = 618;

var ResponsivePanel = (0, _styledComponents2.default)(_Panel2.default)(_templateObject, function (props) {
  return props.width;
});

ResponsivePanel.displayName = 'ResponsivePanel';
ResponsivePanel.propTypes = {
  width: _propTypes2.default.number
};
ResponsivePanel.defaultProps = {
  width: MAX_WIDTH
};

exports.default = ResponsivePanel;