'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['margin:0;font-weight:normal;font-size:', ';', ';'], ['margin:0;font-weight:normal;font-size:', ';', ';']),
    _templateObject2 = _taggedTemplateLiteral(['color:', ';'], ['color:', ';']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var H = function H(_ref) {
  var level = _ref.level,
      children = _ref.children,
      otherProps = _objectWithoutProperties(_ref, ['level', 'children']);

  return _react2.default.createElement('h' + level, otherProps, children);
};
H.displayName = 'H';
H.propTypes = {
  level: _propTypes2.default.number.isRequired,
  children: _propTypes2.default.node.isRequired
};

var Heading = (0, _styledComponents2.default)(H)(_templateObject, function (props) {
  return props.theme.fontSize['h' + props.level];
}, function (props) {
  return props.color && (0, _styledComponents.css)(_templateObject2, props.theme.color[props.color]);
});

Heading.displayName = 'Heading';

Heading.propTypes = {
  level: _propTypes2.default.number,
  color: _propTypes2.default.string
};

Heading.defaultProps = {
  level: 1
};

exports.default = Heading;
module.exports = exports['default'];