'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Wrapper = exports.Content = exports.StyledHr = undefined;

var _templateObject = _taggedTemplateLiteral(['flex:1;border:0;border-top:1px solid ', ';'], ['flex:1;border:0;border-top:1px solid ', ';']),
    _templateObject2 = _taggedTemplateLiteral(['font-size:', ';margin:0 8px;color:', ';'], ['font-size:', ';margin:0 8px;color:', ';']),
    _templateObject3 = _taggedTemplateLiteral(['display:flex;align-items:center;width:100%;'], ['display:flex;align-items:center;width:100%;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _isString = require('../utils/isString');

var _isString2 = _interopRequireDefault(_isString);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledHr = exports.StyledHr = _styledComponents2.default.hr(_templateObject, function (props) {
  return props.theme.color.grayBase;
});

var Content = exports.Content = _styledComponents2.default.div(_templateObject2, function (props) {
  return props.theme.fontSize.small;
}, function (props) {
  return props.theme.color.grayDark;
});

var Wrapper = exports.Wrapper = _styledComponents2.default.div(_templateObject3);

var Hr = function Hr(_ref) {
  var children = _ref.children,
      otherProps = _objectWithoutProperties(_ref, ['children']);

  if (!(0, _isString2.default)(children)) return _react2.default.createElement(StyledHr, otherProps);

  return _react2.default.createElement(
    Wrapper,
    otherProps,
    _react2.default.createElement(StyledHr, null),
    _react2.default.createElement(
      Content,
      null,
      children
    ),
    _react2.default.createElement(StyledHr, null)
  );
};

Hr.displayName = 'Hr';
Hr.propTypes = {
  children: _propTypes2.default.string
};

exports.default = Hr;