'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['box-sizing:border-box;width:100%;border-width:1px;border-style:solid;border-radius:3px;outline:0;padding:0 10px;line-height:1;min-height:', ';color:', ';font-size:', ';border-color:', ';box-shadow:', ';&:focus{border-color:', ';box-shadow:0 0 3px 0 ', ';}&::placeholder{opacity:1;color:', ';}'], ['box-sizing:border-box;width:100%;border-width:1px;border-style:solid;border-radius:3px;outline:0;padding:0 10px;line-height:1;min-height:', ';color:', ';font-size:', ';border-color:', ';box-shadow:', ';&:focus{border-color:', ';box-shadow:0 0 3px 0 ', ';}&::placeholder{opacity:1;color:', ';}']);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mcsLiteTheme = require('mcs-lite-theme');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var shadow = (0, _mcsLiteTheme.opacity)(0.5);

var Input = _styledComponents2.default.input(_templateObject, function (props) {
  return props.theme.height.normal;
}, function (props) {
  return props.theme.color.black;
}, function (props) {
  return props.theme.fontSize.p;
}, function (props) {
  return props.focus ? props.theme.color[props.kind] : props.theme.color.grayBase;
}, function (props) {
  return props.focus ? '0 0 3px 0 ' + shadow(props.theme.color[props.kind]) : 'none';
}, function (props) {
  return props.theme.color[props.kind];
}, function (props) {
  return shadow(props.theme.color[props.kind]);
}, function (props) {
  return props.theme.color.grayBase;
});

Input.displayName = 'Input';
Input.propTypes = {
  kind: _propTypes2.default.string,
  focus: _propTypes2.default.bool
};

Input.defaultProps = {
  kind: 'primary',
  focus: false
};
exports.default = Input;
module.exports = exports['default'];