'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['> *{margin:5px 10px;}'], ['> *{margin:5px 10px;}']);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _InputOrder = require('../InputOrder/InputOrder');

var _InputOrder2 = _interopRequireDefault(_InputOrder);

var _Checkbox = require('../Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledInputOrder = (0, _styledComponents2.default)(_InputOrder2.default)(_templateObject);

var InputMultiSelect = function InputMultiSelect(props) {
  return React.createElement(StyledInputOrder, Object.assign({}, props, {
    itemRenderer: function itemRenderer(_ref, _ref2) {
      var itemValue = _ref.value;
      var value = _ref2.value,
          kind = _ref2.kind;
      return React.createElement(_Checkbox2.default, { value: value.includes(itemValue), size: 14, kind: kind });
    }
  }));
};

exports.default = InputMultiSelect;
module.exports = exports['default'];