'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextOverflow = exports.FakeInputValue = exports.NoRowWrapper = exports.StyledInputGroup = exports.StyledMenu = undefined;

var _templateObject = _taggedTemplateLiteral(['position:absolute;overflow-y:hidden;overflow-x:hidden;border:1px solid ', ';box-sizing:border-box;width:', 'px;z-index:1;*{outline:0;}'], ['position:absolute;overflow-y:hidden;overflow-x:hidden;border:1px solid ', ';box-sizing:border-box;width:', 'px;z-index:1;*{outline:0;}']),
    _templateObject2 = _taggedTemplateLiteral(['position:relative;> *{', ';}'], ['position:relative;> *{', ';}']),
    _templateObject3 = _taggedTemplateLiteral(['cursor:pointer;'], ['cursor:pointer;']),
    _templateObject4 = _taggedTemplateLiteral(['height:', ';display:flex;align-items:center;padding:0 15px;color:', ';'], ['height:', ';display:flex;align-items:center;padding:0 15px;color:', ';']),
    _templateObject5 = _taggedTemplateLiteral(['position:absolute;background-color:transparent;border:1px solid transparent;user-select:none;pointer-events:none;width:', ';&:focus{border:1px solid transparent;box-shadow:none;}'], ['position:absolute;background-color:transparent;border:1px solid transparent;user-select:none;pointer-events:none;width:', ';&:focus{border:1px solid transparent;box-shadow:none;}']),
    _templateObject6 = _taggedTemplateLiteral(['text-overflow:ellipsis;white-space:nowrap;overflow:hidden;'], ['text-overflow:ellipsis;white-space:nowrap;overflow:hidden;']);

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _InputGroup = require('mcs-lite-ui/lib/InputGroup/InputGroup');

var _InputGroup2 = _interopRequireDefault(_InputGroup);

var _Input = require('mcs-lite-ui/lib/Input/Input');

var _Input2 = _interopRequireDefault(_Input);

var _Menu = require('mcs-lite-ui/lib/Menu/Menu');

var _Menu2 = _interopRequireDefault(_Menu);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledMenu = exports.StyledMenu = (0, _styledComponents2.default)(_Menu2.default)(_templateObject, function (props) {
  return props.theme.color.grayBase;
}, function (props) {
  return props.width;
});

var StyledInputGroup = exports.StyledInputGroup = (0, _styledComponents2.default)(_InputGroup2.default)(_templateObject2, function (props) {
  return props.disableFilter && (0, _styledComponents.css)(_templateObject3);
});

var NoRowWrapper = exports.NoRowWrapper = _styledComponents2.default.div(_templateObject4, function (props) {
  return props.theme.height.normal;
}, function (props) {
  return props.theme.color.grayDark;
});

var FakeInputValue = exports.FakeInputValue = (0, _styledComponents2.default)(_Input2.default)(_templateObject5, function (props) {
  return 'calc(100% - ' + props.theme.height.normal + ')';
});

var TextOverflow = exports.TextOverflow = _styledComponents2.default.div(_templateObject6);