'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactWaypoint = require('react-waypoint');

var _reactWaypoint2 = _interopRequireDefault(_reactWaypoint);

var _rafThrottle = require('raf-throttle');

var _rafThrottle2 = _interopRequireDefault(_rafThrottle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* global window */

var LazyloadOnce = function (_React$PureComponent) {
  _inherits(LazyloadOnce, _React$PureComponent);

  function LazyloadOnce() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, LazyloadOnce);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = LazyloadOnce.__proto__ || Object.getPrototypeOf(LazyloadOnce)).call.apply(_ref, [this].concat(args))), _this), _this.state = { isShow: false }, _this.componentWillUnmount = function () {
      return _this.onEnter.cancel();
    }, _this.onEnter = (0, _rafThrottle2.default)(function () {
      if (!_this.state.isShow) _this.setState({ isShow: true });
    }), _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(LazyloadOnce, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          height = _props.height,
          Component = _props.component,
          waypointConfig = _props.waypointConfig,
          otherProps = _objectWithoutProperties(_props, ['children', 'height', 'component', 'waypointConfig']);

      var isShow = this.state.isShow;
      var onEnter = this.onEnter;


      return _react2.default.createElement(
        Component,
        Object.assign({ style: { height: height } }, otherProps),
        isShow ? children : _react2.default.createElement(_reactWaypoint2.default, Object.assign({
          scrollableAncestor: window,
          onEnter: onEnter
        }, waypointConfig))
      );
    }
  }]);

  return LazyloadOnce;
}(_react2.default.PureComponent);

LazyloadOnce.propTypes = {
  children: _propTypes2.default.node,
  height: _propTypes2.default.number,
  component: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.func]),
  waypointConfig: _propTypes2.default.object
};
LazyloadOnce.defaultProps = {
  component: 'div',
  waypointConfig: {
    topOffset: -500,
    bottomOffset: -500,
    fireOnRapidScroll: true
  }
};
exports.default = LazyloadOnce;
module.exports = exports['default'];