'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Footer = undefined;

var _templateObject = _taggedTemplateLiteral(['position:fixed;width:100%;bottom:0;background-color:', ';'], ['position:fixed;width:100%;bottom:0;background-color:', ';']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _MobileContentWrapper = require('../MobileContentWrapper');

var _MobileContentWrapper2 = _interopRequireDefault(_MobileContentWrapper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Footer = exports.Footer = _styledComponents2.default.footer(_templateObject, function (props) {
  return props.theme.color.grayLight;
});

var MobileFixedFooter = function MobileFixedFooter(_ref) {
  var children = _ref.children,
      otherProps = _objectWithoutProperties(_ref, ['children']);

  return _react2.default.createElement(
    Footer,
    otherProps,
    _react2.default.createElement(
      _MobileContentWrapper2.default,
      null,
      children
    )
  );
};

MobileFixedFooter.displayName = 'MobileFixedFooter';
MobileFixedFooter.propTypes = {
  children: _propTypes2.default.node.isRequired
};

exports.default = MobileFixedFooter;