'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Overlay = exports.Indicator = exports.Container = undefined;

var _templateObject = _taggedTemplateLiteral(['position:relative;height:', 'px;overflow:hidden;cursor:default;display:flex;background-color:rgba(255,255,255,1);> *{flex-grow:1;}'], ['position:relative;height:', 'px;overflow:hidden;cursor:default;display:flex;background-color:rgba(255,255,255,1);> *{flex-grow:1;}']),
    _templateObject2 = _taggedTemplateLiteral(['position:absolute;height:', 'px;left:0;right:0;top:', 'px;border-top:1px solid ', ';border-bottom:1px solid ', ';pointer-events:none;'], ['position:absolute;height:', 'px;left:0;right:0;top:', 'px;border-top:1px solid ', ';border-bottom:1px solid ', ';pointer-events:none;']),
    _templateObject3 = _taggedTemplateLiteral(['position:absolute;height:100%;left:0;right:0;background-image:linear-gradient( to bottom,rgba(255,255,255,0.95),rgba(255,255,255,0.6) ),linear-gradient(to top,rgba(255,255,255,0.95),rgba(255,255,255,0.6));background-position:top,bottom;background-size:100% 32px;background-repeat:no-repeat;pointer-events:none;'], ['position:absolute;height:100%;left:0;right:0;background-image:linear-gradient( to bottom,rgba(255,255,255,0.95),rgba(255,255,255,0.6) ),linear-gradient(to top,rgba(255,255,255,0.95),rgba(255,255,255,0.6));background-position:top,bottom;background-size:100% 32px;background-repeat:no-repeat;pointer-events:none;']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var CONTAINER_HEIGHT = 200;
var ITEM_HEIGHT = 40;

var Container = exports.Container = _styledComponents2.default.div(_templateObject, CONTAINER_HEIGHT);

var Indicator = exports.Indicator = _styledComponents2.default.div(_templateObject2, ITEM_HEIGHT, CONTAINER_HEIGHT / 2 - ITEM_HEIGHT / 2, function (props) {
  return props.theme.color.grayBase;
}, function (props) {
  return props.theme.color.grayBase;
});

var Overlay = exports.Overlay = _styledComponents2.default.div(_templateObject3);

var PickerContainer = function PickerContainer(_ref) {
  var children = _ref.children,
      otherProps = _objectWithoutProperties(_ref, ['children']);

  return _react2.default.createElement(
    Container,
    otherProps,
    children,
    _react2.default.createElement(Indicator, null),
    _react2.default.createElement(Overlay, null)
  );
};

PickerContainer.displayName = 'PickerContainer';
PickerContainer.propTypes = {
  children: _propTypes2.default.node.isRequired
};

exports.default = PickerContainer;