'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledButton = exports.StyledSelect = exports.Wrapper = exports.StyledInputGroup = undefined;

var _templateObject = _taggedTemplateLiteral(['position:absolute;width:100%;pointer-events:none;'], ['position:absolute;width:100%;pointer-events:none;']),
    _templateObject2 = _taggedTemplateLiteral(['position:relative;'], ['position:relative;']),
    _templateObject3 = _taggedTemplateLiteral(['width:100%;border:0;height:', ';background-color:', ';outline:0;font-size:', ';color:', ';appearance:none;cursor:pointer;'], ['width:100%;border:0;height:', ';background-color:', ';outline:0;font-size:', ';color:', ';appearance:none;cursor:pointer;']),
    _templateObject4 = _taggedTemplateLiteral(['\n  font-size: 18px;\n  color: ', ';\n'], ['\n  font-size: 18px;\n  color: ', ';\n']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _InputGroup = require('../InputGroup');

var _InputGroup2 = _interopRequireDefault(_InputGroup);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var StyledInputGroup = exports.StyledInputGroup = (0, _styledComponents2.default)(_InputGroup2.default)(_templateObject);

var Wrapper = exports.Wrapper = _styledComponents2.default.div(_templateObject2);

var StyledSelect = exports.StyledSelect = _styledComponents2.default.select(_templateObject3, function (props) {
  return props.theme.height.normal;
}, function (props) {
  return props.theme.color.white;
}, function (props) {
  return props.theme.fontSize.p;
}, function (props) {
  return props.theme.color.black;
});

var StyledButton = exports.StyledButton = _Button2.default.extend(_templateObject4, function (props) {
  return props.theme.color.white;
});