'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Svg = undefined;

var _templateObject = _taggedTemplateLiteral(['width:12px;> *{fill:', ';transition:fill cubic-bezier(0.47,0,0.75,0.72) 0.3s;}'], ['width:12px;> *{fill:', ';transition:fill cubic-bezier(0.47,0,0.75,0.72) 0.3s;}']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Svg = exports.Svg = _styledComponents2.default.svg(_templateObject, function (props) {
  return props.theme.color[props.color];
});

var StatusLight = function StatusLight(props) {
  return _react2.default.createElement(
    Svg,
    Object.assign({ viewBox: '0 0 20 20' }, props),
    _react2.default.createElement('circle', { cx: '10', cy: '10', r: '10' })
  );
};

StatusLight.displayName = 'StatusLight';
StatusLight.propTypes = {
  color: _propTypes2.default.string
};
StatusLight.defaultProps = {
  color: 'grayBase'
};

exports.default = StatusLight;