'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Item = undefined;

var _always2 = require('ramda/src/always');

var _always3 = _interopRequireDefault(_always2);

var _T2 = require('ramda/src/T');

var _T3 = _interopRequireDefault(_T2);

var _path2 = require('ramda/src/path');

var _path3 = _interopRequireDefault(_path2);

var _propEq2 = require('ramda/src/propEq');

var _propEq3 = _interopRequireDefault(_propEq2);

var _cond2 = require('ramda/src/cond');

var _cond3 = _interopRequireDefault(_cond2);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['display:inline-flex;align-items:center;justify-content:center;box-sizing:border-box;height:', ';border-bottom-width:2px;border-bottom-style:solid;border-bottom-color:', ';color:', ';font-size:', ';padding:0 15px;transition:border-color cubic-bezier(0.47,0,0.75,0.72) 0.1s,color cubic-bezier(0.47,0,0.75,0.72) 0.3s;cursor:pointer;&:hover{color:', ';}&:active{color:', ';}'], ['display:inline-flex;align-items:center;justify-content:center;box-sizing:border-box;height:', ';border-bottom-width:2px;border-bottom-style:solid;border-bottom-color:', ';color:', ';font-size:', ';padding:0 15px;transition:border-color cubic-bezier(0.47,0,0.75,0.72) 0.1s,color cubic-bezier(0.47,0,0.75,0.72) 0.3s;cursor:pointer;&:hover{color:', ';}&:active{color:', ';}']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _mcsLiteTheme = require('mcs-lite-theme');

var _emptyFunction = require('../utils/emptyFunction');

var _emptyFunction2 = _interopRequireDefault(_emptyFunction);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var mapBorderColorByActive = (0, _cond3.default)([[(0, _propEq3.default)('active', true), function (props) {
  return (0, _path3.default)(['theme', 'color', props.color]);
}], [_T3.default, (0, _always3.default)('transparent')]]);
var mapColorByActive = (0, _cond3.default)([[(0, _propEq3.default)('active', true), function (props) {
  return (0, _path3.default)(['theme', 'color', props.color]);
}], [_T3.default, (0, _path3.default)(['theme', 'color', 'black'])]]);

var Item = exports.Item = _styledComponents2.default.div(_templateObject, function (props) {
  return props.theme.height.normal;
}, mapBorderColorByActive, mapColorByActive, function (props) {
  return props.theme.fontSize.p;
}, function (props) {
  return (0, _mcsLiteTheme.darken1)(props.theme.color[props.color]);
}, function (props) {
  return (0, _mcsLiteTheme.darken2)(props.theme.color[props.color]);
});

var TabItem = function (_React$Component) {
  _inherits(TabItem, _React$Component);

  function TabItem() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, TabItem);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TabItem.__proto__ || Object.getPrototypeOf(TabItem)).call.apply(_ref, [this].concat(args))), _this), _this.onClick = function (e) {
      return _this.props.onClick(e, _this.props.value);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(TabItem, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          value = _props.value,
          otherProps = _objectWithoutProperties(_props, ['value']);

      var onClick = this.onClick;

      return _react2.default.createElement(Item, Object.assign({}, otherProps, { value: value, onClick: onClick }));
    }
  }]);

  return TabItem;
}(_react2.default.Component);

TabItem.displayName = 'TabItem';
TabItem.propTypes = {
  value: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.number]).isRequired,
  onClick: _propTypes2.default.func, // (e, value) => void
  color: _propTypes2.default.string
};
TabItem.defaultProps = {
  onClick: _emptyFunction2.default,
  color: 'primary'
};

exports.default = TabItem;