'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['width:100%;border-collapse:collapse;thead tr{background-color:', ';color:', ';> *{padding:8px 0 8px 16px;}}tr{border-bottom:1px solid ', ';> *{padding:16px 0 16px 16px;}}th{text-align:left;font-weight:normal;}'], ['width:100%;border-collapse:collapse;thead tr{background-color:', ';color:', ';> *{padding:8px 0 8px 16px;}}tr{border-bottom:1px solid ', ';> *{padding:16px 0 16px 16px;}}th{text-align:left;font-weight:normal;}']);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Table = _styledComponents2.default.table(_templateObject, function (props) {
  return props.theme.color.grayLight;
}, function (props) {
  return props.theme.color.grayDark;
}, function (props) {
  return props.theme.base.bodyBackgroundColor;
});

Table.displayName = 'Table';
Table.propTypes = {
  children: _propTypes2.default.node
};

exports.default = Table;
module.exports = exports['default'];