'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

// eslint-disable-line
var Arrow = function Arrow(props) {
  return React.createElement(
    'svg',
    Object.assign({ width: 18, height: 22, viewBox: '-5 0 18 22', xmlnsXlink: 'http://www.w3.org/1999/xlink' }, props),
    React.createElement(
      'defs',
      null,
      React.createElement('path', { id: 'b', d: 'M13 4l-8 6 8 6' }),
      React.createElement(
        'filter',
        { x: '-100%', y: '-58.3%', width: '300%', height: '233.3%', filterUnits: 'objectBoundingBox', id: 'a' },
        React.createElement('feOffset', { 'in': 'SourceAlpha', result: 'shadowOffsetOuter1' }),
        React.createElement('feGaussianBlur', { stdDeviation: 2.5, 'in': 'shadowOffsetOuter1', result: 'shadowBlurOuter1' }),
        React.createElement('feComposite', { 'in': 'shadowBlurOuter1', in2: 'SourceAlpha', operator: 'out', result: 'shadowBlurOuter1' }),
        React.createElement('feColorMatrix', { values: '0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.2 0', 'in': 'shadowBlurOuter1' })
      )
    ),
    React.createElement(
      'g',
      { fill: 'none', fillRule: 'evenodd' },
      React.createElement('use', { fill: '#000', filter: 'url(#a)', xlinkHref: '#b' }),
      React.createElement('use', { fill: 'rgba(0, 0, 0, 0.8)', xlinkHref: '#b' }),
      React.createElement('path', { d: 'M12.5 5l-6.667 5 6.667 5V5z' })
    )
  );
};


Arrow.displayName = 'Arrow';

exports.default = Arrow;
module.exports = exports['default'];