'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _equals2 = require('ramda/src/equals');

var _equals3 = _interopRequireDefault(_equals2);

var _isEmpty2 = require('ramda/src/isEmpty');

var _isEmpty3 = _interopRequireDefault(_isEmpty2);

var _complement2 = require('ramda/src/complement');

var _complement3 = _interopRequireDefault(_complement2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isNotEmpty = (0, _complement3.default)(_isEmpty3.default);
var notEquals = (0, _complement3.default)(_equals3.default);

var isNotEqual = function isNotEqual(new1, new2) {
  return isNotEmpty(new1) && isNotEmpty(new2) && notEquals(new1, new2);
};

var isLt8 = function isLt8(string) {
  return isNotEmpty(string) && string.length < 8;
};

exports.default = {
  isNotEqual: isNotEqual,
  isLt8: isLt8
};
module.exports = exports['default'];